Bug 2268 - samba-1.9.18p10-5.i386.rpm segfaults rpm
samba-1.9.18p10-5.i386.rpm segfaults rpm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
5.2
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-19 10:54 EDT by jherzog
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-26 17:45:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jherzog 1999-04-19 10:54:47 EDT
I was using samba-1.9.18p5-1.i386.rpm and running along
smoothly when I decided to update to
samba-1.9.18p10-5.i386.rpm. After downloading the rpm from
your site and upgrading (via "rpm -Uvh"), rpm segfaulted
after the last hash mark was printed. Now rpm thinks both
packages are installed:
---
[root@threshold RPMS]# rpm -qa | grep samba
samba-1.9.18p10-5
samba-1.9.18p5-1
---
and I can't uninstall either:
---
[root@threshold RPMS]# rpm -e samba-1.9.18p10-5
Segmentation fault
[root@threshold RPMS]# rpm -e samba-1.9.18p5-1
Segmentation fault
[root@threshold RPMS]# rpm -e --test samba-1.9.18p5-1
Segmentation fault
[root@threshold RPMS]# rpm -e --test samba-1.9.18p10-5
Segmentation fault
---
And this is all after I rebuilt the database.

I'm not a registered user, so I don't expect much help on
this, but I thought you'd like to know.

Thanks.
Comment 1 jherzog 1999-04-19 11:00:59 EDT
Sorry I didn't include this before:
---
[root@threshold RPMS]# rpm -e -vv samba-1.9.18p10-5
D: counting packages to uninstall
D: opening database in //var/lib/rpm/
D: found 1 packages to uninstall
D: uninstalling record number 3593560
Segmentation fault
[root@threshold RPMS]# rpm -e -vv samba-1.9.18p5-1
D: counting packages to uninstall
D: opening database in //var/lib/rpm/
D: found 1 packages to uninstall
D: uninstalling record number 4693592
Segmentation fault
Comment 2 Bill Nottingham 1999-04-19 11:08:59 EDT
do rpm -e --notriggers samba
Comment 3 jherzog 1999-04-19 11:13:59 EDT
Okay:
---
[root@threshold RPMS]# rpm -e --notriggers samba-1.9.18p10-5
cannot remove /var/log/samba - directory not empty
cannot remove /etc/codepages - directory not empty
[root@threshold RPMS]# rpm -qa | grep samba
samba-1.9.18p5-1
---
Ah, so it was a script that was segfaulting. Interesting.
Comment 4 jherzog 1999-04-19 19:04:59 EDT
Well, I was able to uninstall samba-1.9.18p5-1.i386.rpm using "rpm -e
--notriggers" in combination with "rpm -q --scripts" and running the
scripts by hand. I could then install samba-1.9.18p10-5.i386.rpm the
same way. I don't know where the segfault came from, but it was
probably actually some command in the scripts that had the error. Why
doesn't rpm handle things like this gracefully? It would seem a
trivial thing for rpm to tell me which part of the script had a
problem... but this is a issue with rpm, not redhat per se.

Anyway, thanks for the help.
Comment 5 Bill Nottingham 1999-04-26 17:45:59 EDT
It didn't handle it because of a bug in RPM, which I
believe was fixed in a later version.

Note You need to log in before you can comment on or make changes to this bug.